#include "philo.h"

int main(int argc, char *argv[])
{
    t_rules rules;

    if (FAILURE == parse_arguments(argc, argv, &rules))
        return (printf(ERROR_USAGE), EXIT_FAILURE);
	if (FAILURE == create_philos(&rules))
		return (printf(ERROR_MALLOC));
	if (FAILURE == create_mutexes(&rules))
		return (printf(ERROR_MUTEX));

    return(EXIT_SUCCESS);
}
